package eu.mhsl.craftattack.spawn.api.client;

import com.google.gson.Gson;
import eu.mhsl.craftattack.spawn.Main;
import org.bukkit.Bukkit;

import java.net.URI;

public abstract class Repository {
    protected URI basePath;
    protected Gson gson;

    public Repository(URI basePath) {
        this.basePath = basePath;
        this.gson = new Gson();
    }
    
    protected void validateThread() {
        if(Bukkit.isPrimaryThread()) Main.logger().warning("Repository was called synchronously!");
    }
}
